using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;

namespace Chapter2
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class Chapter2 : System.Windows.Forms.Form
	{
		private System.Windows.Forms.LinkLabel linkModal;
		private System.Windows.Forms.LinkLabel linkModeless;
		private System.Windows.Forms.GroupBox groupShowingForms;
		private System.Windows.Forms.LinkLabel linkOwner;
		private System.Windows.Forms.GroupBox groupFormLifetime;
		private System.Windows.Forms.LinkLabel linkNotifyForm;
		private System.Windows.Forms.GroupBox groupFormSize;
		private System.Windows.Forms.LinkLabel linkLocation;
		private System.Windows.Forms.LinkLabel linkDesktop;
		private System.Windows.Forms.LinkLabel linkSetSize;
		private System.Windows.Forms.LinkLabel linkSetClient;
		private System.Windows.Forms.LinkLabel linkClientRect;
		private System.Windows.Forms.LinkLabel linkRestrict;
		private System.Windows.Forms.LinkLabel linkZorder;
		private System.Windows.Forms.GroupBox groupTransparency;
		private System.Windows.Forms.LinkLabel linkNonRectangle;
		private System.Windows.Forms.LinkLabel linkOpacity;
		private System.Windows.Forms.GroupBox groupMenus;
		private System.Windows.Forms.LinkLabel linkSwitchMenu;
		private System.Windows.Forms.LinkLabel linkTheme;
		private System.Windows.Forms.LinkLabel linkPlain;
		private System.Windows.Forms.GroupBox groupControls;
		private System.Windows.Forms.GroupBox groupLayout;
		private System.Windows.Forms.LinkLabel linkAnchor;
		private System.Windows.Forms.LinkLabel linkGroup;
		private System.Windows.Forms.GroupBox groupMDI;
		private System.Windows.Forms.LinkLabel linkMDI;
		private System.Windows.Forms.LinkLabel linkDocking;
		private System.Windows.Forms.LinkLabel linkCustom;
		private System.Windows.Forms.GroupBox groupInheritance;
		private System.Windows.Forms.LinkLabel linkBase;
		private System.Windows.Forms.LinkLabel linkEditor;
		private System.Windows.Forms.LinkLabel linkExplorer;
        private Label labelHelp;
        private ToolTip toolTipHelp;
		private System.ComponentModel.IContainer components;

		public Chapter2()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//

			notifyForm = new NotifyForm();
            this.DesktopLocation = new Point(0,0);
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
            this.components = new System.ComponentModel.Container();
            System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(Chapter2));
            this.linkModal = new System.Windows.Forms.LinkLabel();
            this.linkModeless = new System.Windows.Forms.LinkLabel();
            this.groupShowingForms = new System.Windows.Forms.GroupBox();
            this.linkOwner = new System.Windows.Forms.LinkLabel();
            this.groupFormLifetime = new System.Windows.Forms.GroupBox();
            this.linkNotifyForm = new System.Windows.Forms.LinkLabel();
            this.groupFormSize = new System.Windows.Forms.GroupBox();
            this.linkZorder = new System.Windows.Forms.LinkLabel();
            this.linkRestrict = new System.Windows.Forms.LinkLabel();
            this.linkClientRect = new System.Windows.Forms.LinkLabel();
            this.linkSetClient = new System.Windows.Forms.LinkLabel();
            this.linkSetSize = new System.Windows.Forms.LinkLabel();
            this.linkDesktop = new System.Windows.Forms.LinkLabel();
            this.linkLocation = new System.Windows.Forms.LinkLabel();
            this.groupTransparency = new System.Windows.Forms.GroupBox();
            this.linkOpacity = new System.Windows.Forms.LinkLabel();
            this.linkNonRectangle = new System.Windows.Forms.LinkLabel();
            this.groupMenus = new System.Windows.Forms.GroupBox();
            this.linkSwitchMenu = new System.Windows.Forms.LinkLabel();
            this.groupControls = new System.Windows.Forms.GroupBox();
            this.linkPlain = new System.Windows.Forms.LinkLabel();
            this.linkTheme = new System.Windows.Forms.LinkLabel();
            this.groupLayout = new System.Windows.Forms.GroupBox();
            this.linkCustom = new System.Windows.Forms.LinkLabel();
            this.linkDocking = new System.Windows.Forms.LinkLabel();
            this.linkGroup = new System.Windows.Forms.LinkLabel();
            this.linkAnchor = new System.Windows.Forms.LinkLabel();
            this.groupMDI = new System.Windows.Forms.GroupBox();
            this.linkMDI = new System.Windows.Forms.LinkLabel();
            this.groupInheritance = new System.Windows.Forms.GroupBox();
            this.linkExplorer = new System.Windows.Forms.LinkLabel();
            this.linkEditor = new System.Windows.Forms.LinkLabel();
            this.linkBase = new System.Windows.Forms.LinkLabel();
            this.labelHelp = new System.Windows.Forms.Label();
            this.toolTipHelp = new System.Windows.Forms.ToolTip(this.components);
            this.groupShowingForms.SuspendLayout();
            this.groupFormLifetime.SuspendLayout();
            this.groupFormSize.SuspendLayout();
            this.groupTransparency.SuspendLayout();
            this.groupMenus.SuspendLayout();
            this.groupControls.SuspendLayout();
            this.groupLayout.SuspendLayout();
            this.groupMDI.SuspendLayout();
            this.groupInheritance.SuspendLayout();
            this.SuspendLayout();
            // 
            // linkModal
            // 
            this.linkModal.Location = new System.Drawing.Point(16, 24);
            this.linkModal.Name = "linkModal";
            this.linkModal.Size = new System.Drawing.Size(72, 16);
            this.linkModal.TabIndex = 0;
            this.linkModal.TabStop = true;
            this.linkModal.Text = "Modal Dialog";
            this.toolTipHelp.SetToolTip(this.linkModal, "Open with ShowDialog\r\nDispose with the using statement");
            this.linkModal.MouseLeave += new System.EventHandler(this.labelHelp_MouseLeave);
            this.linkModal.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.linkModal_LinkClicked);
            this.linkModal.MouseEnter += new System.EventHandler(this.labelHelp_MouseEnter);
            // 
            // linkModeless
            // 
            this.linkModeless.Location = new System.Drawing.Point(16, 40);
            this.linkModeless.Name = "linkModeless";
            this.linkModeless.Size = new System.Drawing.Size(96, 16);
            this.linkModeless.TabIndex = 1;
            this.linkModeless.TabStop = true;
            this.linkModeless.Text = "Modeless Dialog";
            this.toolTipHelp.SetToolTip(this.linkModeless, "Open with Show\r\nDo not dispose: it is automatic when modeless closes");
            this.linkModeless.MouseLeave += new System.EventHandler(this.labelHelp_MouseLeave);
            this.linkModeless.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.linkModeless_LinkClicked);
            this.linkModeless.MouseEnter += new System.EventHandler(this.labelHelp_MouseEnter);
            // 
            // groupShowingForms
            // 
            this.groupShowingForms.Controls.Add(this.linkOwner);
            this.groupShowingForms.Controls.Add(this.linkModal);
            this.groupShowingForms.Controls.Add(this.linkModeless);
            this.groupShowingForms.Location = new System.Drawing.Point(8, 8);
            this.groupShowingForms.Name = "groupShowingForms";
            this.groupShowingForms.Size = new System.Drawing.Size(144, 88);
            this.groupShowingForms.TabIndex = 2;
            this.groupShowingForms.TabStop = false;
            this.groupShowingForms.Text = "Showing Forms";
            // 
            // linkOwner
            // 
            this.linkOwner.Location = new System.Drawing.Point(16, 56);
            this.linkOwner.Name = "linkOwner";
            this.linkOwner.Size = new System.Drawing.Size(72, 16);
            this.linkOwner.TabIndex = 2;
            this.linkOwner.TabStop = true;
            this.linkOwner.Text = "Owner Form";
            this.toolTipHelp.SetToolTip(this.linkOwner, "Open the owned form dialog modelessly");
            this.linkOwner.MouseLeave += new System.EventHandler(this.labelHelp_MouseLeave);
            this.linkOwner.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.linkOwner_LinkClicked);
            this.linkOwner.MouseEnter += new System.EventHandler(this.labelHelp_MouseEnter);
            // 
            // groupFormLifetime
            // 
            this.groupFormLifetime.Controls.Add(this.linkNotifyForm);
            this.groupFormLifetime.Location = new System.Drawing.Point(168, 8);
            this.groupFormLifetime.Name = "groupFormLifetime";
            this.groupFormLifetime.Size = new System.Drawing.Size(144, 56);
            this.groupFormLifetime.TabIndex = 3;
            this.groupFormLifetime.TabStop = false;
            this.groupFormLifetime.Text = "Form Lifetime";
            // 
            // linkNotifyForm
            // 
            this.linkNotifyForm.Location = new System.Drawing.Point(16, 24);
            this.linkNotifyForm.Name = "linkNotifyForm";
            this.linkNotifyForm.Size = new System.Drawing.Size(100, 23);
            this.linkNotifyForm.TabIndex = 0;
            this.linkNotifyForm.TabStop = true;
            this.linkNotifyForm.Text = "Notify Form";
            this.toolTipHelp.SetToolTip(this.linkNotifyForm, "NofityForm is a member variable\r\nMust dispose of it when application closes, in c" +
                    "ase it was not closed by user");
            this.linkNotifyForm.MouseLeave += new System.EventHandler(this.labelHelp_MouseLeave);
            this.linkNotifyForm.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.linkNotifyForm_LinkClicked);
            this.linkNotifyForm.MouseEnter += new System.EventHandler(this.labelHelp_MouseEnter);
            // 
            // groupFormSize
            // 
            this.groupFormSize.Controls.Add(this.linkZorder);
            this.groupFormSize.Controls.Add(this.linkRestrict);
            this.groupFormSize.Controls.Add(this.linkClientRect);
            this.groupFormSize.Controls.Add(this.linkSetClient);
            this.groupFormSize.Controls.Add(this.linkSetSize);
            this.groupFormSize.Controls.Add(this.linkDesktop);
            this.groupFormSize.Controls.Add(this.linkLocation);
            this.groupFormSize.Location = new System.Drawing.Point(328, 8);
            this.groupFormSize.Name = "groupFormSize";
            this.groupFormSize.Size = new System.Drawing.Size(144, 152);
            this.groupFormSize.TabIndex = 4;
            this.groupFormSize.TabStop = false;
            this.groupFormSize.Text = "Form Size and Location";
            // 
            // linkZorder
            // 
            this.linkZorder.Location = new System.Drawing.Point(16, 120);
            this.linkZorder.Name = "linkZorder";
            this.linkZorder.Size = new System.Drawing.Size(100, 23);
            this.linkZorder.TabIndex = 6;
            this.linkZorder.TabStop = true;
            this.linkZorder.Text = "Set Z-Order";
            this.toolTipHelp.SetToolTip(this.linkZorder, "Use BringToFront to change Z-order\r\nSendToBack doesn\'t work. \r\nControls are acces" +
                    "sed from from to back, but are accessed by current order number");
            this.linkZorder.MouseLeave += new System.EventHandler(this.labelHelp_MouseLeave);
            this.linkZorder.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.linkZorder_LinkClicked);
            this.linkZorder.MouseEnter += new System.EventHandler(this.labelHelp_MouseEnter);
            // 
            // linkRestrict
            // 
            this.linkRestrict.Location = new System.Drawing.Point(16, 104);
            this.linkRestrict.Name = "linkRestrict";
            this.linkRestrict.Size = new System.Drawing.Size(100, 23);
            this.linkRestrict.TabIndex = 5;
            this.linkRestrict.TabStop = true;
            this.linkRestrict.Text = "Restrict Size";
            this.toolTipHelp.SetToolTip(this.linkRestrict, "Set MinimumSize and MaximumSize\r\n");
            this.linkRestrict.MouseLeave += new System.EventHandler(this.labelHelp_MouseLeave);
            this.linkRestrict.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.linkRestrict_LinkClicked);
            this.linkRestrict.MouseEnter += new System.EventHandler(this.labelHelp_MouseEnter);
            // 
            // linkClientRect
            // 
            this.linkClientRect.Location = new System.Drawing.Point(16, 88);
            this.linkClientRect.Name = "linkClientRect";
            this.linkClientRect.Size = new System.Drawing.Size(120, 23);
            this.linkClientRect.TabIndex = 4;
            this.linkClientRect.TabStop = true;
            this.linkClientRect.Text = "Paint Client Rectangle";
            this.toolTipHelp.SetToolTip(this.linkClientRect, resources.GetString("linkClientRect.ToolTip"));
            this.linkClientRect.MouseLeave += new System.EventHandler(this.labelHelp_MouseLeave);
            this.linkClientRect.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.linkClientRect_LinkClicked);
            this.linkClientRect.MouseEnter += new System.EventHandler(this.labelHelp_MouseEnter);
            // 
            // linkSetClient
            // 
            this.linkSetClient.Location = new System.Drawing.Point(16, 72);
            this.linkSetClient.Name = "linkSetClient";
            this.linkSetClient.Size = new System.Drawing.Size(100, 23);
            this.linkSetClient.TabIndex = 3;
            this.linkSetClient.TabStop = true;
            this.linkSetClient.Text = "Set Client Size";
            this.toolTipHelp.SetToolTip(this.linkSetClient, "Set the ClientSize property");
            this.linkSetClient.MouseLeave += new System.EventHandler(this.labelHelp_MouseLeave);
            this.linkSetClient.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.linkSetClient_LinkClicked);
            this.linkSetClient.MouseEnter += new System.EventHandler(this.labelHelp_MouseEnter);
            // 
            // linkSetSize
            // 
            this.linkSetSize.Location = new System.Drawing.Point(16, 56);
            this.linkSetSize.Name = "linkSetSize";
            this.linkSetSize.Size = new System.Drawing.Size(100, 23);
            this.linkSetSize.TabIndex = 2;
            this.linkSetSize.TabStop = true;
            this.linkSetSize.Text = "Set Size";
            this.toolTipHelp.SetToolTip(this.linkSetSize, "Set the Size property");
            this.linkSetSize.MouseLeave += new System.EventHandler(this.labelHelp_MouseLeave);
            this.linkSetSize.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.linkSetSize_LinkClicked);
            this.linkSetSize.MouseEnter += new System.EventHandler(this.labelHelp_MouseEnter);
            // 
            // linkDesktop
            // 
            this.linkDesktop.Location = new System.Drawing.Point(16, 40);
            this.linkDesktop.Name = "linkDesktop";
            this.linkDesktop.Size = new System.Drawing.Size(120, 23);
            this.linkDesktop.TabIndex = 1;
            this.linkDesktop.TabStop = true;
            this.linkDesktop.Text = "Set DesktopLocation";
            this.toolTipHelp.SetToolTip(this.linkDesktop, "Set the StartPosition to Manual\r\nSet the DesktopLocation\r\nCall dialog modally and" +
                    " dispose with using\r\n");
            this.linkDesktop.MouseLeave += new System.EventHandler(this.labelHelp_MouseLeave);
            this.linkDesktop.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.linkDesktop_LinkClicked);
            this.linkDesktop.MouseEnter += new System.EventHandler(this.labelHelp_MouseEnter);
            // 
            // linkLocation
            // 
            this.linkLocation.Location = new System.Drawing.Point(16, 24);
            this.linkLocation.Name = "linkLocation";
            this.linkLocation.Size = new System.Drawing.Size(96, 16);
            this.linkLocation.TabIndex = 0;
            this.linkLocation.TabStop = true;
            this.linkLocation.Text = "Set Location";
            this.toolTipHelp.SetToolTip(this.linkLocation, "Set the StartPosition to Manual\r\nSet the Location\r\nCall dialog modally and dispos" +
                    "e with using\r\n");
            this.linkLocation.MouseLeave += new System.EventHandler(this.labelHelp_MouseLeave);
            this.linkLocation.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.linkLocation_LinkClicked);
            this.linkLocation.MouseEnter += new System.EventHandler(this.labelHelp_MouseEnter);
            // 
            // groupTransparency
            // 
            this.groupTransparency.Controls.Add(this.linkOpacity);
            this.groupTransparency.Controls.Add(this.linkNonRectangle);
            this.groupTransparency.Location = new System.Drawing.Point(8, 112);
            this.groupTransparency.Name = "groupTransparency";
            this.groupTransparency.Size = new System.Drawing.Size(144, 96);
            this.groupTransparency.TabIndex = 5;
            this.groupTransparency.TabStop = false;
            this.groupTransparency.Text = "Form Transparency";
            // 
            // linkOpacity
            // 
            this.linkOpacity.Location = new System.Drawing.Point(16, 24);
            this.linkOpacity.Name = "linkOpacity";
            this.linkOpacity.Size = new System.Drawing.Size(100, 16);
            this.linkOpacity.TabIndex = 1;
            this.linkOpacity.TabStop = true;
            this.linkOpacity.Text = "Opacity Form";
            this.toolTipHelp.SetToolTip(this.linkOpacity, "Set the StartPosition to Manual\r\nSet the Location\r\nCall dialog modally and dispos" +
                    "e with using\r\nUses a Timer, on each tick the opacity is raised\r\nTurn off timer w" +
                    "hen form is about to deactivate");
            this.linkOpacity.MouseLeave += new System.EventHandler(this.labelHelp_MouseLeave);
            this.linkOpacity.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.linkOpacity_LinkClicked);
            this.linkOpacity.MouseEnter += new System.EventHandler(this.labelHelp_MouseEnter);
            // 
            // linkNonRectangle
            // 
            this.linkNonRectangle.Location = new System.Drawing.Point(16, 40);
            this.linkNonRectangle.Name = "linkNonRectangle";
            this.linkNonRectangle.Size = new System.Drawing.Size(120, 23);
            this.linkNonRectangle.TabIndex = 0;
            this.linkNonRectangle.TabStop = true;
            this.linkNonRectangle.Text = "Non-Rectangular Form";
            this.toolTipHelp.SetToolTip(this.linkNonRectangle, resources.GetString("linkNonRectangle.ToolTip"));
            this.linkNonRectangle.MouseLeave += new System.EventHandler(this.labelHelp_MouseLeave);
            this.linkNonRectangle.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.linkNonRectangle_LinkClicked);
            this.linkNonRectangle.MouseEnter += new System.EventHandler(this.labelHelp_MouseEnter);
            // 
            // groupMenus
            // 
            this.groupMenus.Controls.Add(this.linkSwitchMenu);
            this.groupMenus.Location = new System.Drawing.Point(168, 72);
            this.groupMenus.Name = "groupMenus";
            this.groupMenus.Size = new System.Drawing.Size(144, 56);
            this.groupMenus.TabIndex = 6;
            this.groupMenus.TabStop = false;
            this.groupMenus.Text = "Form Menus";
            // 
            // linkSwitchMenu
            // 
            this.linkSwitchMenu.Location = new System.Drawing.Point(16, 24);
            this.linkSwitchMenu.Name = "linkSwitchMenu";
            this.linkSwitchMenu.Size = new System.Drawing.Size(100, 23);
            this.linkSwitchMenu.TabIndex = 0;
            this.linkSwitchMenu.TabStop = true;
            this.linkSwitchMenu.Text = "Switch Menu";
            this.toolTipHelp.SetToolTip(this.linkSwitchMenu, "Set the StartPosition to Manual\r\nSet the Location\r\nCall dialog modally and dispos" +
                    "e with using\r\nSwitch among two menus and no menu");
            this.linkSwitchMenu.MouseLeave += new System.EventHandler(this.labelHelp_MouseLeave);
            this.linkSwitchMenu.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.linkSwitchMenu_LinkClicked);
            this.linkSwitchMenu.MouseEnter += new System.EventHandler(this.labelHelp_MouseEnter);
            // 
            // groupControls
            // 
            this.groupControls.Controls.Add(this.linkPlain);
            this.groupControls.Controls.Add(this.linkTheme);
            this.groupControls.Location = new System.Drawing.Point(168, 136);
            this.groupControls.Name = "groupControls";
            this.groupControls.Size = new System.Drawing.Size(144, 72);
            this.groupControls.TabIndex = 7;
            this.groupControls.TabStop = false;
            this.groupControls.Text = "Controls";
            // 
            // linkPlain
            // 
            this.linkPlain.Location = new System.Drawing.Point(16, 24);
            this.linkPlain.Name = "linkPlain";
            this.linkPlain.Size = new System.Drawing.Size(100, 16);
            this.linkPlain.TabIndex = 1;
            this.linkPlain.TabStop = true;
            this.linkPlain.Text = "No Theme";
            this.toolTipHelp.SetToolTip(this.linkPlain, "Set the StartPosition to Manual\r\nSet the Location\r\nCall dialog modally and dispos" +
                    "e with using\r\n");
            this.linkPlain.MouseLeave += new System.EventHandler(this.labelHelp_MouseLeave);
            this.linkPlain.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.linkPlain_LinkClicked);
            this.linkPlain.MouseEnter += new System.EventHandler(this.labelHelp_MouseEnter);
            // 
            // linkTheme
            // 
            this.linkTheme.Location = new System.Drawing.Point(16, 40);
            this.linkTheme.Name = "linkTheme";
            this.linkTheme.Size = new System.Drawing.Size(100, 23);
            this.linkTheme.TabIndex = 0;
            this.linkTheme.TabStop = true;
            this.linkTheme.Text = "Themed Form";
            this.linkTheme.MouseLeave += new System.EventHandler(this.labelHelp_MouseLeave);
            this.linkTheme.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.linkTheme_LinkClicked);
            this.linkTheme.MouseEnter += new System.EventHandler(this.labelHelp_MouseEnter);
            // 
            // groupLayout
            // 
            this.groupLayout.Controls.Add(this.linkCustom);
            this.groupLayout.Controls.Add(this.linkDocking);
            this.groupLayout.Controls.Add(this.linkGroup);
            this.groupLayout.Controls.Add(this.linkAnchor);
            this.groupLayout.Location = new System.Drawing.Point(328, 168);
            this.groupLayout.Name = "groupLayout";
            this.groupLayout.Size = new System.Drawing.Size(144, 104);
            this.groupLayout.TabIndex = 8;
            this.groupLayout.TabStop = false;
            this.groupLayout.Text = "Layout";
            // 
            // linkCustom
            // 
            this.linkCustom.Location = new System.Drawing.Point(16, 72);
            this.linkCustom.Name = "linkCustom";
            this.linkCustom.Size = new System.Drawing.Size(100, 16);
            this.linkCustom.TabIndex = 3;
            this.linkCustom.TabStop = true;
            this.linkCustom.Text = "Custom Layout";
            this.toolTipHelp.SetToolTip(this.linkCustom, "Handle the Layout event and reposition children\r\nForce layout event with PerformL" +
                    "ayout\r\nExample from book has col * 3 + row, should be row * 3 + col");
            this.linkCustom.MouseLeave += new System.EventHandler(this.labelHelp_MouseLeave);
            this.linkCustom.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.linkCustom_LinkClicked);
            this.linkCustom.MouseEnter += new System.EventHandler(this.labelHelp_MouseEnter);
            // 
            // linkDocking
            // 
            this.linkDocking.Location = new System.Drawing.Point(16, 56);
            this.linkDocking.Name = "linkDocking";
            this.linkDocking.Size = new System.Drawing.Size(100, 16);
            this.linkDocking.TabIndex = 2;
            this.linkDocking.TabStop = true;
            this.linkDocking.Text = "Docking";
            this.toolTipHelp.SetToolTip(this.linkDocking, "Dock menu\r\nDock GroupBox\r\nDock Splitter\r\nDock Tree View\r\nDock Splitter\r\nDock List" +
                    "View");
            this.linkDocking.MouseLeave += new System.EventHandler(this.labelHelp_MouseLeave);
            this.linkDocking.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.linkDocking_LinkClicked);
            this.linkDocking.MouseEnter += new System.EventHandler(this.labelHelp_MouseEnter);
            // 
            // linkGroup
            // 
            this.linkGroup.Location = new System.Drawing.Point(16, 40);
            this.linkGroup.Name = "linkGroup";
            this.linkGroup.Size = new System.Drawing.Size(100, 16);
            this.linkGroup.TabIndex = 1;
            this.linkGroup.TabStop = true;
            this.linkGroup.Text = "Grouping";
            this.toolTipHelp.SetToolTip(this.linkGroup, "Uses group box, vertical splitter, tab control");
            this.linkGroup.MouseLeave += new System.EventHandler(this.labelHelp_MouseLeave);
            this.linkGroup.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.linkGroup_LinkClicked);
            this.linkGroup.MouseEnter += new System.EventHandler(this.labelHelp_MouseEnter);
            // 
            // linkAnchor
            // 
            this.linkAnchor.Location = new System.Drawing.Point(16, 24);
            this.linkAnchor.Name = "linkAnchor";
            this.linkAnchor.Size = new System.Drawing.Size(100, 16);
            this.linkAnchor.TabIndex = 0;
            this.linkAnchor.TabStop = true;
            this.linkAnchor.Text = "Anchoring";
            this.toolTipHelp.SetToolTip(this.linkAnchor, "Control that doesn\'t grow\r\nControl that grows in width and height\r\nControl that s" +
                    "tays centered");
            this.linkAnchor.MouseLeave += new System.EventHandler(this.labelHelp_MouseLeave);
            this.linkAnchor.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.linkAnchor_LinkClicked);
            this.linkAnchor.MouseEnter += new System.EventHandler(this.labelHelp_MouseEnter);
            // 
            // groupMDI
            // 
            this.groupMDI.Controls.Add(this.linkMDI);
            this.groupMDI.Location = new System.Drawing.Point(8, 216);
            this.groupMDI.Name = "groupMDI";
            this.groupMDI.Size = new System.Drawing.Size(144, 48);
            this.groupMDI.TabIndex = 9;
            this.groupMDI.TabStop = false;
            this.groupMDI.Text = "MDI Test";
            // 
            // linkMDI
            // 
            this.linkMDI.Location = new System.Drawing.Point(16, 16);
            this.linkMDI.Name = "linkMDI";
            this.linkMDI.Size = new System.Drawing.Size(100, 16);
            this.linkMDI.TabIndex = 0;
            this.linkMDI.TabStop = true;
            this.linkMDI.Text = "MDI Test";
            this.toolTipHelp.SetToolTip(this.linkMDI, "Set the StartPosition to Manual\r\nSet the Location\r\nCall dialog modally and dispos" +
                    "e with using\r\n");
            this.linkMDI.MouseLeave += new System.EventHandler(this.labelHelp_MouseLeave);
            this.linkMDI.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.linkMDI_LinkClicked);
            this.linkMDI.MouseEnter += new System.EventHandler(this.labelHelp_MouseEnter);
            // 
            // groupInheritance
            // 
            this.groupInheritance.Controls.Add(this.linkExplorer);
            this.groupInheritance.Controls.Add(this.linkEditor);
            this.groupInheritance.Controls.Add(this.linkBase);
            this.groupInheritance.Location = new System.Drawing.Point(168, 224);
            this.groupInheritance.Name = "groupInheritance";
            this.groupInheritance.Size = new System.Drawing.Size(144, 80);
            this.groupInheritance.TabIndex = 10;
            this.groupInheritance.TabStop = false;
            this.groupInheritance.Text = "Visual Inheritance";
            // 
            // linkExplorer
            // 
            this.linkExplorer.Location = new System.Drawing.Point(16, 56);
            this.linkExplorer.Name = "linkExplorer";
            this.linkExplorer.Size = new System.Drawing.Size(100, 16);
            this.linkExplorer.TabIndex = 2;
            this.linkExplorer.TabStop = true;
            this.linkExplorer.Text = "Explorer";
            this.linkExplorer.MouseLeave += new System.EventHandler(this.labelHelp_MouseLeave);
            this.linkExplorer.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.linkExplorer_LinkClicked);
            this.linkExplorer.MouseEnter += new System.EventHandler(this.labelHelp_MouseEnter);
            // 
            // linkEditor
            // 
            this.linkEditor.Location = new System.Drawing.Point(16, 40);
            this.linkEditor.Name = "linkEditor";
            this.linkEditor.Size = new System.Drawing.Size(100, 16);
            this.linkEditor.TabIndex = 1;
            this.linkEditor.TabStop = true;
            this.linkEditor.Text = "Editor";
            this.linkEditor.MouseLeave += new System.EventHandler(this.labelHelp_MouseLeave);
            this.linkEditor.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.linkEditor_LinkClicked);
            this.linkEditor.MouseEnter += new System.EventHandler(this.labelHelp_MouseEnter);
            // 
            // linkBase
            // 
            this.linkBase.Location = new System.Drawing.Point(16, 24);
            this.linkBase.Name = "linkBase";
            this.linkBase.Size = new System.Drawing.Size(100, 16);
            this.linkBase.TabIndex = 0;
            this.linkBase.TabStop = true;
            this.linkBase.Text = "Base Form";
            this.linkBase.MouseLeave += new System.EventHandler(this.labelHelp_MouseLeave);
            this.linkBase.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.linkBase_LinkClicked);
            this.linkBase.MouseEnter += new System.EventHandler(this.labelHelp_MouseEnter);
            // 
            // labelHelp
            // 
            this.labelHelp.Location = new System.Drawing.Point(8, 319);
            this.labelHelp.Name = "labelHelp";
            this.labelHelp.Size = new System.Drawing.Size(464, 216);
            this.labelHelp.TabIndex = 11;
            this.labelHelp.MouseLeave += new System.EventHandler(this.labelHelp_MouseLeave);
            this.labelHelp.MouseEnter += new System.EventHandler(this.labelHelp_MouseEnter);
            // 
            // Chapter2
            // 
            this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
            this.ClientSize = new System.Drawing.Size(480, 544);
            this.Controls.Add(this.labelHelp);
            this.Controls.Add(this.groupInheritance);
            this.Controls.Add(this.groupMDI);
            this.Controls.Add(this.groupLayout);
            this.Controls.Add(this.groupControls);
            this.Controls.Add(this.groupMenus);
            this.Controls.Add(this.groupTransparency);
            this.Controls.Add(this.groupFormSize);
            this.Controls.Add(this.groupFormLifetime);
            this.Controls.Add(this.groupShowingForms);
            this.Location = new System.Drawing.Point(20, 20);
            this.Name = "Chapter2";
            this.StartPosition = System.Windows.Forms.FormStartPosition.Manual;
            this.Text = "Chapter 2";
            this.Load += new System.EventHandler(this.Chapter2_Load);
            this.Closing += new System.ComponentModel.CancelEventHandler(this.Chapter2_Closing);
            this.groupShowingForms.ResumeLayout(false);
            this.groupFormLifetime.ResumeLayout(false);
            this.groupFormSize.ResumeLayout(false);
            this.groupTransparency.ResumeLayout(false);
            this.groupMenus.ResumeLayout(false);
            this.groupControls.ResumeLayout(false);
            this.groupLayout.ResumeLayout(false);
            this.groupMDI.ResumeLayout(false);
            this.groupInheritance.ResumeLayout(false);
            this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			//Allow themes from OS to be used. Must set FlatStyle in control, too.
			Application.EnableVisualStyles();
			Application.Run(new Chapter2());
		}

		private void linkModal_LinkClicked(object sender, System.Windows.Forms.LinkLabelLinkClickedEventArgs e)
		{
            using (AnotherForm form = new AnotherForm())
            {
                form.Text += " - Modal";
                form.ShowDialog();
            }
		}

		private void linkModeless_LinkClicked(object sender, System.Windows.Forms.LinkLabelLinkClickedEventArgs e)
		{
			AnotherForm form = new AnotherForm();
			form.Text += " - Modeless";
			form.Show();
		}

		private void linkOwner_LinkClicked(object sender, System.Windows.Forms.LinkLabelLinkClickedEventArgs e)
		{
			OwnerForm form = new OwnerForm();
			form.Show();
		}

		private void linkNotifyForm_LinkClicked(object sender, System.Windows.Forms.LinkLabelLinkClickedEventArgs e)
		{
			if (notifyForm.IsDisposed) 
			{
				notifyForm = new NotifyForm();
			}
			notifyForm.Show();
		}

		NotifyForm notifyForm;

		private void Chapter2_Closing(object sender, System.ComponentModel.CancelEventArgs e)
		{
            //must dispose, or icon will be left in system tray
            //if form was never closed, then it was not disposed
            if (!notifyForm.IsDisposed)
            {
                notifyForm.Dispose();
            }
		}

		private void linkLocation_LinkClicked(object sender, System.Windows.Forms.LinkLabelLinkClickedEventArgs e)
		{
            using (AnotherForm form = new AnotherForm())
            {
                form.StartPosition = FormStartPosition.Manual;
                form.Location = new Point(1, 1);
                form.ShowDialog();
            }
		}

		private void linkDesktop_LinkClicked(object sender, System.Windows.Forms.LinkLabelLinkClickedEventArgs e)
		{
            using (AnotherForm form = new AnotherForm())
            {
                form.StartPosition = FormStartPosition.Manual;
                form.DesktopLocation = new Point(1, 1);
                form.ShowDialog();
            }
		}

		private void linkSetSize_LinkClicked(object sender, System.Windows.Forms.LinkLabelLinkClickedEventArgs e)
		{
			AnotherForm form = new AnotherForm();
			form.StartPosition = FormStartPosition.Manual;
			form.DesktopLocation = new Point(1,1);
			form.Size = new Size(100,100);
			form.Show();
		}

		private void linkSetClient_LinkClicked(object sender, System.Windows.Forms.LinkLabelLinkClickedEventArgs e)
		{
			AnotherForm form = new AnotherForm();
			form.StartPosition = FormStartPosition.Manual;
			form.DesktopLocation = new Point(1,1);
			form.ClientSize = new Size(100,100);
			form.Show();		
		}

		private void linkClientRect_LinkClicked(object sender, System.Windows.Forms.LinkLabelLinkClickedEventArgs e)
		{
            using (PaintedForm form = new PaintedForm())
            {
                form.StartPosition = FormStartPosition.Manual;
                form.DesktopLocation = new Point(1, 1);
                form.ShowDialog();
            }
		
		}

		private void linkRestrict_LinkClicked(object sender, System.Windows.Forms.LinkLabelLinkClickedEventArgs e)
		{
            using (AnotherForm form = new AnotherForm())
            {
                form.StartPosition = FormStartPosition.Manual;
                form.DesktopLocation = new Point(1, 1);
                form.MinimumSize = new Size(200, 200);
                form.MaximumSize = new Size(400, 400);
                form.ShowDialog();
            }
		}

		private void linkZorder_LinkClicked(object sender, System.Windows.Forms.LinkLabelLinkClickedEventArgs e)
		{
            using (ZorderForm form = new ZorderForm())
            {
                form.StartPosition = FormStartPosition.Manual;
                form.DesktopLocation = new Point(1, 1);
                form.ShowDialog();
            }
		}

		private void linkNonRectangle_LinkClicked(object sender, System.Windows.Forms.LinkLabelLinkClickedEventArgs e)
		{
			using (Transparency.TransparentForm form = new Transparency.TransparentForm()) 
			{
				form.StartPosition = FormStartPosition.Manual;
				form.DesktopLocation = new Point(1,1);
				form.ShowDialog();				
			}
		}

		private void linkOpacity_LinkClicked(object sender, System.Windows.Forms.LinkLabelLinkClickedEventArgs e)
		{
			using (OpacityExample.OpacityForm form = new OpacityExample.OpacityForm()) 
			{
				form.StartPosition = FormStartPosition.Manual;
				form.DesktopLocation = new Point(1,1);
				form.ShowDialog();				
			}
		}

		private void linkSwitchMenu_LinkClicked(object sender, System.Windows.Forms.LinkLabelLinkClickedEventArgs e)
		{
			using (MenuForm form = new MenuForm()) 
			{
				form.StartPosition = FormStartPosition.Manual;
				form.DesktopLocation = new Point(1,1);
				form.ShowDialog();				
			}		
		}

		private void linkTheme_LinkClicked(object sender, System.Windows.Forms.LinkLabelLinkClickedEventArgs e)
		{
			using (ThemedForm form = new ThemedForm(true)) 
			{
				form.StartPosition = FormStartPosition.Manual;
				form.DesktopLocation = new Point(1,1);
				form.ShowDialog();				
			}		
		}

		private void linkPlain_LinkClicked(object sender, System.Windows.Forms.LinkLabelLinkClickedEventArgs e)
		{
			using (ThemedForm form = new ThemedForm(false)) 
			{
				form.StartPosition = FormStartPosition.Manual;
				form.DesktopLocation = new Point(1,1);
				form.ShowDialog();				
			}				
		}

		private void linkAnchor_LinkClicked(object sender, System.Windows.Forms.LinkLabelLinkClickedEventArgs e)
		{
			using (Anchoring.AnchorForm form = new Anchoring.AnchorForm()) 
			{
				form.StartPosition = FormStartPosition.Manual;
				form.DesktopLocation = new Point(1,1);
				form.ShowDialog();				
			}				
		}

		private void linkMDI_LinkClicked(object sender, System.Windows.Forms.LinkLabelLinkClickedEventArgs e)
		{
			using (MdiTest.ParentForm form = new MdiTest.ParentForm()) 
			{
				form.StartPosition = FormStartPosition.Manual;
				form.DesktopLocation = new Point(1,1);
				form.ShowDialog();				
			}						
		}

		private void linkDocking_LinkClicked(object sender, System.Windows.Forms.LinkLabelLinkClickedEventArgs e)
		{
			using (Docking.DockingForm form = new Docking.DockingForm()) 
			{
				form.StartPosition = FormStartPosition.Manual;
				form.DesktopLocation = new Point(1,1);
				form.ShowDialog();				
			}						
		}

		private void linkCustom_LinkClicked(object sender, System.Windows.Forms.LinkLabelLinkClickedEventArgs e)
		{
			using (GridLayoutExample.GridForm form = new GridLayoutExample.GridForm()) 
			{
				form.StartPosition = FormStartPosition.Manual;
				form.DesktopLocation = new Point(1,1);
				form.ShowDialog();				
			}						
		}

		private void linkBase_LinkClicked(object sender, System.Windows.Forms.LinkLabelLinkClickedEventArgs e)
		{
			using (VisualInheritance.BaseForm form = new VisualInheritance.BaseForm()) 
			{
				form.StartPosition = FormStartPosition.Manual;
				form.DesktopLocation = new Point(1,1);
				form.ShowDialog();				
			}						
		}

		private void linkEditor_LinkClicked(object sender, System.Windows.Forms.LinkLabelLinkClickedEventArgs e)
		{
			using (VisualInheritance.EditorForm form = new VisualInheritance.EditorForm()) 
			{
				form.StartPosition = FormStartPosition.Manual;
				form.DesktopLocation = new Point(1,1);
				form.ShowDialog();				
			}						
		}

		private void linkExplorer_LinkClicked(object sender, System.Windows.Forms.LinkLabelLinkClickedEventArgs e)
		{
			using (VisualInheritance.ExplorerForm form = new VisualInheritance.ExplorerForm()) 
			{
				form.StartPosition = FormStartPosition.Manual;
				form.DesktopLocation = new Point(1,1);
				form.ShowDialog();				
			}						
		}

		private void linkGroup_LinkClicked(object sender, System.Windows.Forms.LinkLabelLinkClickedEventArgs e)
		{
            using (Grouping.GroupingForm form = new Grouping.GroupingForm())
            {
                form.StartPosition = FormStartPosition.Manual;
                form.DesktopLocation = new Point(1, 1);
                form.ShowDialog();
            }
		}

        private void Chapter2_Load(object sender, EventArgs e)
        {

        }

        private void labelHelp_MouseEnter(object sender, EventArgs e)
        {
            labelHelp.Text = toolTipHelp.GetToolTip((Control)sender);
            toolTipHelp.SetToolTip((Control)sender, "");
        }

        private void labelHelp_MouseLeave(object sender, EventArgs e)
        {
            toolTipHelp.SetToolTip((Control)sender, labelHelp.Text);
            labelHelp.Text = "";
        }

		

	}
}
